services:
  first:
    build: ./ConsoleApp1/
    volumes:
      - ./FilesInput/First:/var/data
      - ./FilesInput/Second:/var/result
  
  second:
    build: ./ConsoleApp2/
    depends_on:
      - first
    volumes:
      - ./FilesInput/Second:/var/data
      - ./FilesOutput:/var/result